Attribute VB_Name = "EasyConsole"
' ******************************************************************************
' *     Fire-Lines  2013                                                      *
' *     :                                                                *
' *         EasyConsole                                                        *
' *     :                                                              *
' *                -   *
' *            VB.                                          *
' *     :                                                                 *
' *           (firehacker)                                  *
' *      :                                                     *
' *         *   2013-01-19  firehacker   .                           *
' *                                                                            *
' *      : 1.0.0                                                  *
' *                                                                            *
' ******************************************************************************
Option Explicit

Public stdin    As ITextStream
Public stdout   As ITextStream
Public stderr   As ITextStream

Public Sub EasyconInitialize(Optional ByVal bUnicodeFormat As Boolean = False)
    Dim fso As IFileSystem3
    
    Set fso = New FileSystemObject
    
    Set stdin = fso.GetStandardStream(0, bUnicodeFormat)
    Set stdout = fso.GetStandardStream(1, bUnicodeFormat)
    Set stderr = fso.GetStandardStream(2, bUnicodeFormat)
End Sub

Public Sub EasyconDeinitialize()
    Set stdin = Nothing
    Set stdout = Nothing
    Set stderr = Nothing
End Sub

